/*
 * @Author: zc
 * @description 用户
 */
import request from '@/utils/request';
/**
 * @description 获取当前用户下的菜单
 * @param {object} params
 * @return {*}
 */
export const getMenu = (params?: object) => {
	return request({
		url: '/api/v1/Home/get-my-auth-menu',
		method: 'get',
		params,
	});
};
/**
 * @description 首页弹窗修改密码
 * @param data
 */
export const changePwd = (data: object) => {
	return request({
		url: `/api/v1/User/change-pwd`,
		method: 'post',
		data,
	});
};
/**
 * @description 修改默认密码 （第一次登录进来修改）
 * @param data
 */
export const changeDefaultPwd = (data: object) => {
	return request({
		url: `/api/v1/User/change-default-pwd`,
		method: 'post',
		data,
	});
};
/**
 * @description 当前用户信息
 */
export const getUserInfo = () => {
	return request({
		url: `/api/v1/Home/myinfo`,
		method: 'get',
	});
};
